; Equates for PIC16F18346
;

; Configuration word 1
CONFIG_FCMEN_ON		EQU	0xffff
CONFIG_FCMEN_OFF	EQU	0xdfff
CONFIG_CSWEN_ON		EQU	0xffff
CONFIG_CSWEN_OFF	EQU	0xf7ff
CONFIG_CLKOUTEN_ON	EQU	0xf7ff
CONFIG_CLKOUTEN_OFF	EQU	0xffff

CONFIG_RSTOSC_EXT1X	EQU	0xffff
CONFIG_RSTOSC_HFINT1	EQU	0xffef
CONFIG_RSTOSC_LFINT	EQU	0xffcf
CONFIG_RSTOSC_SOSC	EQU	0xffbf
CONFIG_RSTOSC_EXT4X	EQU	0xff9f
CONFIG_RSTOSC_HFINT32	EQU	0xff8f

CONFIG_FEXTOSC_ECH	EQU	0xffff
CONFIG_FEXTOSC_ECM	EQU	0xfffe
CONFIG_FEXTOSC_ECL	EQU	0xfffd
CONFIG_FEXTOSC_OFF	EQU	0xfffc
CONFIG_FEXTOSC_HS	EQU	0xfffa
CONFIG_FEXTOSC_XT	EQU	0xfff9
CONFIG_FEXTOSC_LP	EQU	0xfff8




; Configuration word 2
CONFIG_DEBUG_ON		EQU	0xdfff
CONFIG_DEBUG_OFF	EQU	0xffff
CONFIG_STVREN_ON	EQU	0xffff
CONFIG_STVREN_OFF	EQU	0xefff

CONFIG_PPS1WAY_ON	EQU	0xffff
CONFIG_PPS1WAY_OFF	EQU	0xf7ff
CONFIG_BORV_LO		EQU	0xffff
CONFIG_BORV_HI		EQU	0xfdff
CONFIG_BORV_LOW		EQU	0xffff
CONFIG_BORV_HIGH	EQU	0xfdff

CONFIG_BOREN_ON		EQU	0xffff
CONFIG_BOREN_SLEEP	EQU	0xffbf
CONFIG_BOREN_SBOREN	EQU	0xff7f
CONFIG_BOREN_OFF	EQU	0xff3f
CONFIG_LPBOREN_OFF	EQU	0xffff
CONFIG_LPBOREN_ON	EQU	0xffdf

CONFIG_WDTE_ON		EQU	0xffff
CONFIG_WDTE_SLEEP	EQU	0xfffb
CONFIG_WDTE_SWDTEN	EQU	0xfff7
CONFIG_WDTE_OFF		EQU	0xfff3
CONFIG_PWRTE_ON		EQU	0xfffd
CONFIG_PWRTE_OFF	EQU	0xffff
CONFIG_MCLRE_ON		EQU	0xffff
CONFIG_MCLRE_OFF	EQU	0xfffe


; Configuration word 3
CONFIG_LVP_ON		EQU	0xffff
CONFIG_LVP_OFF		EQU	0xdfff

CONFIG_WRT_OFF		EQU	0xffff
CONFIG_WRT_BOOT		EQU	0xfffe
CONFIG_WRT_HALF		EQU	0xfffd
CONFIG_WRT_ALL		EQU	0xfffc


; Configuration word 4
CONFIG_CPD_ON		EQU	0xfffd
CONFIG_CPD_OFF		EQU	0xffff

CONFIG_CP_ON		EQU	0xfffe
CONFIG_CP_OFF		EQU	0xffff



; Core registers
INDF0	EQU	0x00
INDF1	EQU	0x01
PCL	EQU	0x02
STATUS	EQU	0x03
C	EQU	0
DC	EQU	1
Z	EQU	2
PD	EQU	3
TO	EQU	4
FSR0	EQU	0x04
FSR0L	EQU	0x04
FSR0H	EQU	0x05
FSR1	EQU	0x06
FSR1L	EQU	0x06
FSR1H	EQU	0x07
BSR	EQU	0x08
WREG	EQU	0x09
PCLATH	EQU	0x0a
INTCON	EQU	0x0b
INTEDG	EQU	0
PEIE	EQU	6
GIE	EQU	7


; Bank 0 registers
PORTA	EQU	0x0c
RA0	EQU	0
RA1	EQU	1
RA2	EQU	2
RA3	EQU	3
RA4	EQU	4
RA5	EQU	5

PORTB	EQU	0x0d
RB4	EQU	4
RB5	EQU	5
RB6	EQU	6
RB7	EQU	7

PORTC   EQU     0x0e
RC0	EQU	0
RC1	EQU	1
RC2	EQU	2
RC3	EQU	3
RC4	EQU	4
RC5	EQU	5
RC6	EQU	6
RC7	EQU	7

PIR0	EQU	0x10
TMR0IF	EQU	5
IOCIF	EQU	4
INTF	EQU	0

PIR1	EQU	0x11
TMR1IF	EQU	0
TMR2IF	EQU	1
BCL1IF	EQU	2
SSP1IF	EQU	3
TXIF	EQU	4
RCIF	EQU	5
ADIF	EQU	6
TMR1GIF	EQU	7

PIR2	EQU	0x12
NCO1IF	EQU	0
TMR4IF	EQU	1
BCL2IF	EQU	2
SSP2IF	EQU	3
NVMIF	EQU	4
C1IF	EQU	5
C2IF	EQU	6
TMR6IF	EQU	7

PIR3	EQU	0x13
CLC1IF	EQU	0
CLC2IF	EQU	1
CLC3IF	EQU	2
CLC4IF	EQU	3
TMR3IF	EQU	4
TMR3GIF	EQU	5
CSWIF	EQU	6
OSFIF	EQU	7

PIR4	EQU	0x14
CCP1IF	EQU	0
CCP2IF	EQU	1
CCP3IF	EQU	2
CCP4IF	EQU	3
TMR5IF	EQU	4
TMR5GIF	EQU	5
CWG1IF	EQU	6
CWG2IF	EQU	7

TMR0	EQU	0x15
TMR0L	EQU	0x15
TMR0H	EQU	0x16
T0CON0	EQU	0x17
T016BIT	EQU	4
T0OUT	EQU	5
T0EN	EQU	7
T0CON1	EQU	0x18
T0ASYNC	EQU	4

TMR1	EQU	0x19
TMR1L	EQU	0x19
TMR1H	EQU	0x1a
T1CON	EQU	0x1b
TMR1ON	EQU	0
T1SYNC	EQU	2
T1SOSC	EQU	3

T1GCON	EQU	0x1c
T1GVAL	EQU	2
T1GGO	EQU	3
T1GSPM	EQU	4
T1GTM	EQU	5
T1GPOL	EQU	6
TMR1GE	EQU	7

TMR2	EQU	0x1d
PR2	EQU	0x1e
T2CON	EQU	0x1f
TMR2ON	EQU	2
; End Bank 0


; Bank 1 registers
TRISA	EQU	0x8c
TRISA0	EQU	0
TRISA1	EQU	1
TRISA2	EQU	2
TRISA3	EQU	3
TRISA4	EQU	4
TRISA5	EQU	5

TRISB	EQU	0x8d
TRISB4	EQU	4
TRISB5	EQU	5
TRISB6	EQU	6
TRISB7	EQU	7

TRISC	EQU	0x8e
TRISC0	EQU	0
TRISC1	EQU	1
TRISC2	EQU	2
TRISC3	EQU	3
TRISC4	EQU	4
TRISC5	EQU	5

PIE0	EQU	0x90
INTE	EQU	0
IOCIE	EQU	4
TMR0IE	EQU	5

PIE1	EQU	0x91
TMR1IE	EQU	0
TMR2IE	EQU	1
BCL1IE	EQU	2
SSP1IE	EQU	3
TXIE	EQU	4
RCIE	EQU	5
ADIE	EQU	6
TMR1GIE	EQU	7

PIE2	EQU	0x92
NCO1IE	EQU	0
TMR4IE	EQU	1
BCL2IE	EQU	2
SSP2IE	EQU	3
NVMIE	EQU	4
C1IE	EQU	5
C2IE	EQU	6
TMR6IE	EQU	7

PIE3	EQU	0x93
CLC1IE	EQU	0
CLC2IE	EQU	1
CLC3IE	EQU	2
CLC4IE	EQU	3
TMR3IE	EQU	4
TMR3GIE	EQU	5
CSWIE	EQU	6
OSFIE	EQU	7

PIE4	EQU	0x94
CCP1IE	EQU	0
CCP2IE	EQU	1
CCP3IE	EQU	2
CCP4IE	EQU	3
TMR5IE	EQU	4
TMR5GIE	EQU	5
CWG1IE	EQU	6
CWG2IE	EQU	7

WDTCON	EQU	0x97
SWDTEN	EQU	0

ADRES	EQU	0x9b
ADRESL	EQU	0x9b
ADRESH	EQU	0x9c
ADCON0	EQU	0x9d
ADON	EQU	0
GO	EQU	1

ADCON1	EQU	0x9e
ADNREF	EQU	2
ADFM	EQU	7

ADACT	EQU	0x9f
; End Bank 1


; Bank 2 registers
LATA	EQU	0x10c
LATA0	EQU	0
LATA1	EQU	1
LATA2	EQU	2
LATA4	EQU	4
LATA5	EQU	5

LATB	EQU	0x10d
LATB4	EQU	4
LATB5	EQU	5
LATB6	EQU	6
LATB7	EQU	7

LATC	EQU	0x10e
LATC0	EQU	0
LATC1	EQU	1
LATC2	EQU	2
LATC3	EQU	3
LATC4	EQU	4
LATC5	EQU	5

CM1CON0	EQU	0x111
C1SYNC	EQU	0
C1HYS	EQU	1
C1SP	EQU	2
C1POL	EQU	4
C1OUT	EQU	6
C1ON	EQU	7

CM1CON1	EQU	0x112
C1INTN	EQU	6
C1INTP	EQU	7

CM2CON0	EQU	0x113
C2SYNC	EQU	0
C2HYS	EQU	1
C2SP	EQU	2
C2POL	EQU	4
C2OUT	EQU	6
C2ON	EQU	7

CM2CON1	EQU	0x114
C2INTN	EQU	6
C2INTP	EQU	7

CMOUT	EQU	0x115
MC1OUT	EQU	0
MC2OUT	EQU	1

BORCON	EQU	0x116
BORRDY	EQU	0
SBOREN	EQU	7

FVRCON	EQU	0x117
TSRNG	EQU	4
TSEN	EQU	5
FVRRDY	EQU	6
FVREN	EQU	7

DACCON0	EQU	0x118
DAC1NSS	EQU	0
DAC1OE	EQU	5
DAC1EN	EQU	7

DACCON1	EQU	0x119
; End Bank 2


; Bank 3 registers
ANSELA	EQU	0x18c
ANSA0	EQU	0
ANSA1	EQU	1
ANSA2	EQU	2
ANSA4	EQU	4
ANSA5	EQU	5

ANSELB	EQU	0x18d
ANSB4	EQU	4
ANSB5	EQU	5
ANSB6	EQU	6
ANSB7	EQU	7

ANSELC	EQU	0x18e
ANSC0	EQU	0
ANSC1	EQU	1
ANSC2	EQU	2
ANSC3	EQU	3
ANSC4	EQU	4
ANSC5	EQU	5

VREGCON	EQU	0x197
VREGPM	EQU	1

RC1REG	EQU	0x199
TX1REG	EQU	0x19a
SP1BRG	EQU	0x19b
SP1BRGL	EQU	0x19b
SP1BRGH	EQU	0x19c
RC1STA	EQU	0x19d
RX9D	EQU	0
OERR	EQU	1
FERR	EQU	2
ADDEN	EQU	3
CREN	EQU	4
SREN	EQU	5
RX9	EQU	6
SPEN	EQU	7

TX1STA	EQU	0x19e
TX9D	EQU	0
TRMT	EQU	1
BRGH	EQU	2
SENDB	EQU	3
SYNC	EQU	4
TXEN	EQU	5
TX9	EQU	6
CSRC	EQU	7

BAUD1CON	EQU	0x19f
ABDEN	EQU	0
WUE	EQU	1
BRG16	EQU	3
SCKP	EQU	4
RCIDL	EQU	6
ABDOVF	EQU	7
; End Bank 3


; Bank 4 registers
WPUA	EQU	0x20c
WPUA0	EQU	0
WPUA1	EQU	1
WPUA2	EQU	2
WPUA3	EQU	3
WPUA4	EQU	4
WPUA5	EQU	5

WPUB	EQU	0x20d
WPUB4	EQU	4
WPUB5	EQU	5
WPUB6	EQU	6
WPUB7	EQU	7

WPUC	EQU	0x20e
WPUC0	EQU	0
WPUC1	EQU	1
WPUC2	EQU	2
WPUC3	EQU	3
WPUC4	EQU	4
WPUC5	EQU	5

SSP1BUF	EQU	0x211
SSP1ADD	EQU	0x212
SSP1MSK	EQU	0x213
SSP1STAT	EQU	0x214
SSP1BF	EQU	0
BF	EQU	0
SSP1UA	EQU	1
SSP1R	EQU	2
SSP1S	EQU	3
SSP1P	EQU	4
SSP1D	EQU	5
SSP1CKE	EQU	6
SSP1SMP	EQU	7

SSP1CON1	EQU	0x215
SSP1SSPM	EQU	0x0f
SSP1CKP		EQU	4
SSP1EN		EQU	5
SSP1OV		EQU	6
SSP1WCOL	EQU	7

SSP1CON2	EQU	0x216
SSP1SEN		EQU	0
SSP1RSEN	EQU	1
SSP1PEN		EQU	2
SSP1RCEN	EQU	3
SSP1ACKEN	EQU	4
SSP1ACKDT	EQU	5
SSP1ACKSTAT	EQU	6
SSP1GCEN	EQU	7

SSP1CON3	EQU	0x217
SSP1DHEN	EQU	0
SSP1AHEN	EQU	1
SSP1SBCDE	EQU	2
SSP1SDAHT	EQU	3
SSP1BOEN	EQU	4
SSP1SCIE	EQU	5
SSP1PCIE	EQU	6
SSP1ACKTIM	EQU	7

SSP2BUF		EQU	0x219
SSP2ADD		EQU	0x21a
SSP2MSK		EQU	0x21b

SSP2STAT	EQU	0x21c
SSP2BF	EQU	0
;BF	EQU	0
SSP2UA	EQU	1
SSP2R	EQU	2
SSP2S	EQU	3
SSP2P	EQU	4
SSP2D	EQU	5
SSP2CKE	EQU	6
SSP2SMP	EQU	7

SSP2CON1	EQU	0x21d
SSP2SSPM	EQU	0x0f
SSP2CKP		EQU	4
SSP2EN		EQU	5
SSP2OV		EQU	6
SSP2WCOL	EQU	7

SSP2CON2	EQU	0x21e
SSP2SEN		EQU	0
SSP2RSEN	EQU	1
SSP2PEN		EQU	2
SSP2RCEN	EQU	3
SSP2ACKEN	EQU	4
SSP2ACKDT	EQU	5
SSP2ACKSTAT	EQU	6
SSP2GCEN	EQU	7

SSP2CON3	EQU	0x21f
SSP2DHEN	EQU	0
SSP2AHEN	EQU	1
SSP2SBCDE	EQU	2
SSP2SDAHT	EQU	3
SSP2BOEN	EQU	4
SSP2SCIE	EQU	5
SSP2PCIE	EQU	6
SSP2ACKTIM	EQU	7
; End Bank 4


; Bank 5 registers
ODCONA	EQU	0x28c
ODCA0	EQU	0
ODCA1	EQU	1
ODCA2	EQU	2
ODCA3	EQU	4
ODCA4	EQU	5

ODCONB	EQU	0x28d
ODCB4	EQU	4
ODCB5	EQU	5
ODCB6	EQU	6
ODCB7	EQU	7

ODCONC	EQU	0x28e
ODCC0	EQU	0
ODCC1	EQU	1
ODCC2	EQU	2
ODCC3	EQU	3
ODCC4	EQU	4
ODCC5	EQU	5


CCPR1	EQU	0x291
CCPR1L	EQU	0x291
CCPR1H	EQU	0x292
CCP1CON	EQU	0x293
CCP1MODE	EQU	0x0f
CCP1FMT	EQU	4
CCP1OUT	EQU	5
CCP1EN	EQU	7
CCP1CAP	EQU	0x294


CCPR2	EQU	0x295
CCPR2L	EQU	0x295
CCPR2H	EQU	0x296
CCP2CON	EQU	0x297
CCP2MODE	EQU	0x0f
CCP2FMT	EQU	4
CCP2OUT	EQU	5
CCP2EN	EQU	7
CCP2CAP	EQU	0x098


CCPTMRS		EQU	0x29f
; CCP timer bitmasks
C1TSEL		EQU	0x03
C2TSEL		EQU	0x0c
C3TSEL		EQU	0x30
C4TSEL		EQU	0xc0
; End Bank 5


; Bank 6 registers
SLRCONA	EQU	0x30c
SLRA0	EQU	0
SLRA1	EQU	1
SLRA2	EQU	2
SLRA4	EQU	4
SLRA5	EQU	5

SLRCONB	EQU	0x30d
SLRB4	EQU	4
SLRB5	EQU	5
SLRB6	EQU	6
SLRB7	EQU	7

SLRCONC	EQU	0x30e
SLRC0	EQU	0
SLRC1	EQU	1
SLRC2	EQU	2
SLRC3	EQU	3
SLRC4	EQU	4
SLRC5	EQU	5

CCPR3	EQU	0x311
CCPR3L	EQU	0x311
CCPR3H	EQU	0x312
CCP3CON	EQU	0x313
CCP3MODE	EQU	0x0f
CCP3FMT	EQU	4
CCP3OUT	EQU	5
CCP3EN	EQU	7
CCP3CAP	EQU	0x314

CCPR4	EQU	0x315
CCPR4L	EQU	0x315
CCPR4H	EQU	0x316
CCP4CON	EQU	0x317
CCP4MODE	EQU	0x0f
CCP4FMT	EQU	4
CCP4OUT	EQU	5
CCP4EN	EQU	7
CCP4CAP	EQU	0x318
; End Bank 6



; Bank 7 registers
INLVLA	EQU	0x38c
INLVLA0	EQU	0
INLVLA1	EQU	1
INLVLA2	EQU	2
INLVLA3	EQU	3
INLVLA4	EQU	4
INLVLA5	EQU	5

INLVLB	EQU	0x38d
INLVLB4	EQU	4
INLVLB5	EQU	5
INLVLB6	EQU	6
INLVLB7	EQU	7

INLVLC	EQU	0x38e
INLVLC0	EQU	0
INLVLC1	EQU	1
INLVLC2	EQU	2
INLVLC3	EQU	3
INLVLC4	EQU	4
INLVLC5	EQU	5

IOCAP	EQU	0x391
IOCAP0	EQU	0
IOCAP1	EQU	1
IOCAP2	EQU	2
IOCAP3	EQU	3
IOCAP4	EQU	4
IOCAP5	EQU	5

IOCAN	EQU	0x392
IOCAN0	EQU	0
IOCAN1	EQU	1
IOCAN2	EQU	2
IOCAN3	EQU	3
IOCAN4	EQU	4
IOCAN5	EQU	5

IOCAF	EQU	0x393
IOCAF0	EQU	0
IOCAF1	EQU	1
IOCAF2	EQU	2
IOCAF3	EQU	3
IOCAF4	EQU	4
IOCAF5	EQU	5

IOCBP	EQU	0x394
IOCBP4	EQU	4
IOCBP5	EQU	5
IOCBP6	EQU	6
IOCBP7	EQU	7

IOCBN	EQU	0x395
IOCBN4	EQU	4
IOCBN5	EQU	5
IOCBN6	EQU	6
IOCBN7	EQU	7

IOCBF	EQU	0x396
IOCBF4	EQU	4
IOCBF5	EQU	5
IOCBF6	EQU	6
IOCBF7	EQU	7

IOCCP	EQU	0x397
IOCCP0	EQU	0
IOCCP1	EQU	1
IOCCP2	EQU	2
IOCCP3	EQU	3
IOCCP4	EQU	4
IOCCP5	EQU	5

IOCCN	EQU	0x398
IOCCN0	EQU	0
IOCCN1	EQU	1
IOCCN2	EQU	2
IOCCN3	EQU	3
IOCCN4	EQU	4
IOCCN5	EQU	5

IOCCF	EQU	0x399
IOCCF0	EQU	0
IOCCF1	EQU	1
IOCCF2	EQU	2
IOCCF3	EQU	3
IOCCF4	EQU	4
IOCCF5	EQU	5

CLKRCON	EQU	0x39a
CLKRDIV	EQU	0x07	; Bitmask
CLKRDC	EQU	0x18	; Bitmask
CLKREN	EQU	7

MDCON	EQU	0x39c
MDBIT	EQU	0
MDOUT	EQU	3
MDOPOL	EQU	4
MDEN	EQU	7

MDSRC		EQU	0x39d
MDMS		EQU	0x0f	; Bitmask
MDMSODIS	EQU	7

MDCARH		EQU	0x39e
MDCH		EQU	0x0f	; Bitmask
MDCHSYNC	EQU	5
MDCHPOL		EQU	6

MDCARL		EQU	0x39f
MDCL		EQU	0x0f	; Bitmask
MDCLSYNC	EQU	5
MDCLPOL		EQU	6
; End Bank 7


; Bank 8 registers
TMR3	EQU	0x411
TMR3L	EQU	0x411
TMR3H	EQU	0x412
T3CON	EQU	0x413
TMR3ON	EQU	0
T3SYNC	EQU	2
T3SOSC	EQU	3
T3GCON	EQU	0x414
T3GVAL	EQU	2
T3GGO	EQU	3
T3GSPM	EQU	4
T3GTM	EQU	5
T3GPOL	EQU	6
TMR3GE	EQU	7

TMR4	EQU	0x415
PR4	EQU	0x416
T4CON	EQU	0x417
T4CKPS	EQU	0x03	; Bitmask
TMR4ON	EQU	2
T4OUTPS	EQU	0x78	; Bitmask

TMR5	EQU	0x418
TMR5L	EQU	0x418
TMR5H	EQU	0x419
T5CON	EQU	0x41a
TMR5ON	EQU	0
T5SYNC	EQU	2
T5SOSC	EQU	3
T5GCON	EQU	0x41b
T5GVAL	EQU	2
T5GGO	EQU	3
T5GSPM	EQU	4
T5GTM	EQU	5
T5GPOL	EQU	6
TMR5GE	EQU	7

TMR6	EQU	0x41c
PR6	EQU	0x41d
T6CON	EQU	0x41e
T6CKPS	EQU	0x03	; Bitmask
TMR6ON	EQU	2
T6OUTPS	EQU	0x78	; Bitmask
; End Bank 8


; Bank 9 registers
NCO1ACCL	EQU	0x498
NCO1ACCH	EQU	0x499
NCO1ACCU	EQU	0x49a
NCO1INCL	EQU	0x49b
NCO1INCH	EQU	0x49c
NCO1INCU	EQU	0x49d
NCO1CON		EQU	0x49e
N1PFM		EQU	0
N1POL		EQU	4
N1OUT		EQU	5
N1EN		EQU	7
NCO1CLK		EQU	0x49f
; End Bank 9


; Banks 10-11 unimplemented


; Bank 12 registers
PWM5DCL	EQU	0x617
PWM5DCH	EQU	0x618
PWM5CON	EQU	0x619
PWM5POL	EQU	4
PWM5OUT	EQU	5
PWM5EN	EQU	7

PWM6DCL	EQU	0x61a
PWM6DCH	EQU	0x61b
PWM6CON	EQU	0x61c
PWM6POL	EQU	4
PWM6OUT	EQU	5
PWM6EN	EQU	7

PWMTMRS	EQU	0x61f
P5TSEL	EQU	0x03	; bitmask
P6TSEL	EQU	0x0c	; bitmask
; End Bank 12


; Bank 13 registers
CWG1CLKCON	EQU	0x691
CWG1CS		EQU	0
CWG1DAT		EQU	0x692
CWG1DBR		EQU	0x693
CWG1DBF		EQU	0x694
CWG1CON0	EQU	0x695
CWG1LD		EQU	6
CWG1EN		EQU	7
CWG1CON1	EQU	0x696
CWG1POLA	EQU	0
CWG1POLB	EQU	1
CWG1POLC	EQU	2
CWG1POLD	EQU	3
CWG1IN		EQU	5
CWG1AS0		EQU	0x697
CWG1REN		EQU	6
CWG1SHUTDOWN	EQU	7
CWG1AS1		EQU	0x698
CWG1AS0E	EQU	0
CWG1AS1E	EQU	1
CWG1AS2E	EQU	2
CWG1AS3E	EQU	3
CWG1AS4E	EQU	4
CWG1STR		EQU	0x699
CWG1STRA	EQU	0
CWG1STRB	EQU	1
CWG1STRC	EQU	2
CWG1STRD	EQU	3
CWG1OVRA	EQU	4
CWG1OVRB	EQU	5
CWG1OVRC	EQU	6
CWG1OVRD	EQU	7
; End Bank 13


; Bank 14 registers
CWG2CLKCON	EQU	0x711
CWG2CS		EQU	0
CWG2DAT		EQU	0x712
CWG2DBR		EQU	0x713
CWG2DBF		EQU	0x714
CWG2CON0	EQU	0x715
CWG2LD		EQU	6
CWG2EN		EQU	7
CWG2CON1	EQU	0x716
CWG2POLA	EQU	0
CWG2POLB	EQU	1
CWG2POLC	EQU	2
CWG2POLD	EQU	3
CWG2IN		EQU	5
CWG2AS0		EQU	0x717
CWG2REN		EQU	6
CWG2SHUTDOWN	EQU	7
CWG2AS1		EQU	0x718
CWG2AS0E	EQU	0
CWG2AS1E	EQU	1
CWG2AS2E	EQU	2
CWG2AS3E	EQU	3
CWG2AS4E	EQU	4
CWG2STR		EQU	0x719
CWG2STRA	EQU	0
CWG2STRB	EQU	1
CWG2STRC	EQU	2
CWG2STRD	EQU	3
CWG2OVRA	EQU	4
CWG2OVRB	EQU	5
CWG2OVRC	EQU	6
CWG2OVRD	EQU	7
; End Bank 14

; Banks 56-16 not implemented

; Bank 17 registers
NVMADR	EQU	0x891
NVMADRL	EQU	0x891
NVMADRH	EQU	0x892
NVMDAT	EQU	0x893
NVMDATL	EQU	0x893
NVMDATH	EQU	0x894
NVMCON1	EQU	0x895
RD	EQU	0
WR	EQU	1
WREN	EQU	2
WRERR	EQU	3
FREE	EQU	4
LWLO	EQU	5
NVMREGS	EQU	6
NVMCON2	EQU	0x896

PCON0	EQU	0x89b
BOR	EQU	0
POR	EQU	1
RI	EQU	2
RMCLR	EQU	3
RWDT	EQU	4
STKUNF	EQU	6
STKOVF	EQU	7
; End Bank 17


; Bank 18 registers
PMD0	EQU	0x911
IOCMD	EQU	0
CLKRMD	EQU	1
NVMMD	EQU	2
FVRMD	EQU	6
SYSCMD	EQU	7
PMD1	EQU	0x912
TMR0MD	EQU	0
TMR1MD	EQU	1
TMR2MD	EQU	2
TMR3MD	EQU	3
TMR4MD	EQU	4
TMR5MD	EQU	5
TMR6MD	EQU	6
NCOMD	EQU	7
PMD2	EQU	0x913
CMP1MD	EQU	1
CMP2MD	EQU	2
ADCMD	EQU	5
DACMD	EQU	6
PMD3	EQU	0x914
CCP1MD	EQU	0
CCP2MD	EQU	1
CCP3MD	EQU	2
CCP4MD	EQU	3
PWM5MD	EQU	4
PWM6MD	EQU	5
CWG1MD	EQU	6
CWG2MD	EQU	7
PMD4	EQU	0x915
MSSP1MD	EQU	1
MSSP2MD	EQU	2
UART1MD	EQU	5
PMD5	EQU	0x916
DSMMD	EQU	0
CLC1MD	EQU	1
CLC2MD	EQU	2
CLC3MD	EQU	3
CLC4MD	EQU	4

CPUDOZE	EQU	0x918
DOE	EQU	4
ROI	EQU	5
DOZEN	EQU	6
IDLEN	EQU	7
OSCCON1	EQU	0x919
OSCCON2	EQU	0x91a
OSCCON3	EQU	0x91b
NOSCR	EQU	3
ORDY	EQU	4
SOSCBE	EQU	5
SOSCPWR	EQU	6
CSWHOLD	EQU	7
OSCSTAT1	EQU	0x91c
PLLR		EQU	0
ADOR		EQU	2
SOR		EQU	3
LFOR		EQU	4
HFOR		EQU	6
EXTOR		EQU	7
OSCEN	EQU	0x91d
ADOEN	EQU	2
SOSCEN	EQU	3
LFOEN	EQU	4
HFOEN	EQU	6
EXTOEN	EQU	7
OSCTUNE	EQU	0x91e
OSCFRQ	EQU	0x91f
; End Bank 18

; Banks 19-27 unimplemented

; Bank 28 registers
PPSLOCK		EQU	0xe0f
PPSLOCKED	EQU	0
INTPPS		EQU	0xe10
T0CKIPPS	EQU	0xe11
T1CKIPPS	EQU	0xe12
T1GPPS		EQU	0xe13
CCP1PPS		EQU	0xe14
CCP2PPS		EQU	0xe15
CCP3PPS		EQU	0xe16
CCP4PPS		EQU	0xe17
CWG1PPS		EQU	0xe18
CWG2PPS		EQU	0xe19
MDCIN1PPS	EQU	0xe1a
MDCIN2PPS	EQU	0xe1b
MDMINPPS	EQU	0xe1c
SSP2CLKPPS	EQU	0xe1d
SSP2DATPPS	EQU	0xe1e
SSP2SSPPS	EQU	0xe1f
SSP1CLKPPS	EQU	0xe20
SSP1DATPPS	EQU	0xe21
SSP1SSPPS	EQU	0xe22
RXPPS		EQU	0xe24
TXPPS		EQU	0xe25
CLCIN0PPS	EQU	0xe28
CLCIN1PPS	EQU	0xe29
CLCIN2PPS	EQU	0xe2a
CLCIN3PPS	EQU	0xe2b
T3CKIPPS	EQU	0xe2c
T3GPPS		EQU	0xe2d
T5CKIPPS	EQU	0xe2e
T5GPPS		EQU	0xe2f
; Pin selections for above registers
PPSRA0		EQU	000
PPSRA1		EQU	001
PPSRA2		EQU	002
PPSRA3		EQU	003
PPSRA4		EQU	004
PPSRA5		EQU	005
PPSRB4		EQU	014
PPSRB5		EQU	015
PPSRB6		EQU	016
PPSRB7		EQU	017
PPSRC0		EQU	020
PPSRC1		EQU	021
PPSRC2		EQU	022
PPSRC3		EQU	023
PPSRC4		EQU	024
PPSRC5		EQU	025
PPSRC6		EQU	026
PPSRC7		EQU	027
; End Bank 28


; Bank 29 registers
RA0PPS	EQU	0xe90
RA1PPS	EQU	0xe91
RA2PPS	EQU	0xe92
RA4PPS	EQU	0xe94
RA5PPS	EQU	0xe95

RB4PPS	EQU	0xe9c
RB5PPS	EQU	0xe9d
RB6PPS	EQU	0xe9e
RB7PPS	EQU	0xe9f

RC0PPS	EQU	0xea0
RC1PPS	EQU	0xea1
RC2PPS	EQU	0xea2
RC3PPS	EQU	0xea3
RC4PPS	EQU	0xea4
RC5PPS	EQU	0xea5
RC6PPS	EQU	0xea6
RC7PPS	EQU	0xea7
; Function select for above registers
PPS_PWM5	EQU	002
PPS_PWM6	EQU	003
PPS_CLC1OUT	EQU	004
PPS_CLC2OUT	EQU	005
PPS_CLC3OUT	EQU	006
PPS_CLC4OUT	EQU	007
PPS_CWG1A	EQU	010
PPS_CWG1B	EQU	011
PPS_CWG1C	EQU	012
PPS_CWG1D	EQU	013
PPS_CCP1	EQU	014
PPS_CCP2	EQU	015
PPS_CCP3	EQU	016
PPS_CCP4	EQU	017
PPS_CWG2A	EQU	020
PPS_CWG2B	EQU	021
PPS_CWG2C	EQU	022
PPS_CWG2D	EQU	023
PPS_TX		EQU	024
PPS_DT		EQU	025
PPS_C1		EQU	026
PPS_C2		EQU	027
PPS_SCK1	EQU	030
PPS_SCL1	EQU	030
PPS_SDO1	EQU	031
PPS_SDA1	EQU	031
PPS_SCK2	EQU	032
PPS_SCL2	EQU	032
PPS_SDO2	EQU	033
PPS_SDA2	EQU	033
PPS_TMR0	EQU	034
PPS_NCO1	EQU	035
PPS_CLKR	EQU	036
PPS_DSM		EQU	037
; End Bank 29


; Bank 30 registers
CLCDATA	EQU	0xf0f
MLC1OUT	EQU	0
MLC2OUT	EQU	1
MLC3OUT	EQU	2
MLC4OUT	EQU	3

CLC1CON	EQU	0xf10
LC1INTN	EQU	3
LC1INTP	EQU	4
LC1OUT	EQU	5
LC1EN	EQU	7
CLC1POL		EQU	0xf11
LC1G1POL	EQU	0
LC1G2POL	EQU	1
LC1G3POL	EQU	2
LC1G4POL	EQU	3
LC1POL		EQU	7
CLC1SEL0	EQU	0xf12
CLC1SEL1	EQU	0xf13
CLC1SEL2	EQU	0xf14
CLC1SEL3	EQU	0xf15
CLC1GLS0	EQU	0xf16
LC1G1D1N	EQU	0
LC1G1D1T	EQU	1
LC1G1D2N	EQU	2
LC1G1D2T	EQU	3
LC1G1D3N	EQU	4
LC1G1D3T	EQU	5
LC1G1D4N	EQU	6
LC1G1D4T	EQU	7
CLC1GLS1	EQU	0xf17
LC1G2D1N	EQU	0
LC1G2D1T	EQU	1
LC1G2D2N	EQU	2
LC1G2D2T	EQU	3
LC1G2D3N	EQU	4
LC1G2D3T	EQU	5
LC1G2D4N	EQU	6
LC1G2D4T	EQU	7
CLC1GLS2	EQU	0xf18
LC1G3D1N	EQU	0
LC1G3D1T	EQU	1
LC1G3D2N	EQU	2
LC1G3D2T	EQU	3
LC1G3D3N	EQU	4
LC1G3D3T	EQU	5
LC1G3D4N	EQU	6
LC1G3D4T	EQU	7
CLC1GLS3	EQU	0xf19
LC1G4D1N	EQU	0
LC1G4D1T	EQU	1
LC1G4D2N	EQU	2
LC1G4D2T	EQU	3
LC1G4D3N	EQU	4
LC1G4D3T	EQU	5
LC1G4D4N	EQU	6
LC1G4D4T	EQU	7

CLC2CON	EQU	0xf1a
LC2INTN	EQU	3
LC2INTP	EQU	4
LC2OUT	EQU	5
LC2EN	EQU	7
CLC2POL		EQU	0xf1b
LC2G1POL	EQU	0
LC2G2POL	EQU	1
LC2G3POL	EQU	2
LC2G4POL	EQU	3
LC2POL		EQU	7
CLC2SEL0	EQU	0xf1c
CLC2SEL1	EQU	0xf1d
CLC2SEL2	EQU	0xf1e
CLC2SEL3	EQU	0xf1f


CLC2GLS0	EQU	0xf20
LC2G1D1N	EQU	0
LC2G1D1T	EQU	1
LC2G1D2N	EQU	2
LC2G1D2T	EQU	3
LC2G1D3N	EQU	4
LC2G1D3T	EQU	5
LC2G1D4N	EQU	6
LC2G1D4T	EQU	7
CLC2GLS1	EQU	0xf21
LC2G2D1N	EQU	0
LC2G2D1T	EQU	1
LC2G2D2N	EQU	2
LC2G2D2T	EQU	3
LC2G2D3N	EQU	4
LC2G2D3T	EQU	5
LC2G2D4N	EQU	6
LC2G2D4T	EQU	7
CLC2GLS2	EQU	0xf22
LC2G3D1N	EQU	0
LC2G3D1T	EQU	1
LC2G3D2N	EQU	2
LC2G3D2T	EQU	3
LC2G3D3N	EQU	4
LC2G3D3T	EQU	5
LC2G3D4N	EQU	6
LC2G3D4T	EQU	7
CLC2GLS3	EQU	0xf23
LC2G4D1N	EQU	0
LC2G4D1T	EQU	1
LC2G4D2N	EQU	2
LC2G4D2T	EQU	3
LC2G4D3N	EQU	4
LC2G4D3T	EQU	5
LC2G4D4N	EQU	6
LC2G4D4T	EQU	7

CLC3CON	EQU	0xf24
LC3INTN	EQU	3
LC3INTP	EQU	4
LC3OUT	EQU	5
LC3EN	EQU	7
CLC3POL		EQU	0xf25
LC3G1POL	EQU	0
LC3G2POL	EQU	1
LC3G3POL	EQU	2
LC3G4POL	EQU	3
LC3POL		EQU	7
CLC3SEL0	EQU	0xf26
CLC3SEL1	EQU	0xf27
CLC3SEL2	EQU	0xf28
CLC3SEL3	EQU	0xf29
CLC3GLS0	EQU	0xf2a
LC3G1D1N	EQU	0
LC3G1D1T	EQU	1
LC3G1D2N	EQU	2
LC3G1D2T	EQU	3
LC3G1D3N	EQU	4
LC3G1D3T	EQU	5
LC3G1D4N	EQU	6
LC3G1D4T	EQU	7
CLC3GLS1	EQU	0xf2b
LC3G2D1N	EQU	0
LC3G2D1T	EQU	1
LC3G2D2N	EQU	2
LC3G2D2T	EQU	3
LC3G2D3N	EQU	4
LC3G2D3T	EQU	5
LC3G2D4N	EQU	6
LC3G2D4T	EQU	7
CLC3GLS2	EQU	0xf2c
LC3G3D1N	EQU	0
LC3G3D1T	EQU	1
LC3G3D2N	EQU	2
LC3G3D2T	EQU	3
LC3G3D3N	EQU	4
LC3G3D3T	EQU	5
LC3G3D4N	EQU	6
LC3G3D4T	EQU	7
CLC3GLS3	EQU	0xf2d
LC3G4D1N	EQU	0
LC3G4D1T	EQU	1
LC3G4D2N	EQU	2
LC3G4D2T	EQU	3
LC3G4D3N	EQU	4
LC3G4D3T	EQU	5
LC3G4D4N	EQU	6
LC3G4D4T	EQU	7

CLC4CON	EQU	0xf2e
LC4INTN	EQU	3
LC4INTP	EQU	4
LC4OUT	EQU	5
LC4EN	EQU	7
CLC4POL		EQU	0xf2f
LC4G1POL	EQU	0
LC4G2POL	EQU	1
LC4G3POL	EQU	2
LC4G4POL	EQU	3
LC4POL		EQU	7
CLC4SEL0	EQU	0xf30
CLC4SEL1	EQU	0xf31
CLC4SEL2	EQU	0xf32
CLC4SEL3	EQU	0xf33
CLC4GLS0	EQU	0xf34
LC4G1D1N	EQU	0
LC4G1D1T	EQU	1
LC4G1D2N	EQU	2
LC4G1D2T	EQU	3
LC4G1D3N	EQU	4
LC4G1D3T	EQU	5
LC4G1D4N	EQU	6
LC4G1D4T	EQU	7
CLC4GLS1	EQU	0xf35
LC4G2D1N	EQU	0
LC4G2D1T	EQU	1
LC4G2D2N	EQU	2
LC4G2D2T	EQU	3
LC4G2D3N	EQU	4
LC4G2D3T	EQU	5
LC4G2D4N	EQU	6
LC4G2D4T	EQU	7
CLC4GLS2	EQU	0xf36
LC4G3D1N	EQU	0
LC4G3D1T	EQU	1
LC4G3D2N	EQU	2
LC4G3D2T	EQU	3
LC4G3D3N	EQU	4
LC4G3D3T	EQU	5
LC4G3D4N	EQU	6
LC4G3D4T	EQU	7
CLC4GLS3	EQU	0xf37
LC4G4D1N	EQU	0
LC4G4D1T	EQU	1
LC4G4D2N	EQU	2
LC4G4D2T	EQU	3
LC4G4D3N	EQU	4
LC4G4D3T	EQU	5
LC4G4D4N	EQU	6
LC4G4D4T	EQU	7
; End Bank 30



; Bank 31 registers
STATUS_SHAD	EQU	0xfe4
C_SHAD		EQU	0
DC_SHAD		EQU	1
Z_SHAD		EQU	2
WREG_SHAD	EQU	0xfe5
BSR_SHAD	EQU	0xfe6
PCLATH_SHAD	EQU	0xfe7
FSR0_SHAD	EQU	0xfe8
FSR0L_SHAD	EQU	0xfe8
FSR0H_SHAD	EQU	0xfe9
FSR1_SHAD	EQU	0xfea
FSR1L_SHAD	EQU	0xfea
FSR1H_SHAD	EQU	0xfeb
STKPTR		EQU	0xfed
TOS		EQU	0xfee
TOSL		EQU	0xfee
TOSH		EQU	0xfef
; End Bank 31



