#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "opcodes.h"
#include "symtab.h"
#include "util.h"
#include "pragmas.h"


void pragDoDirective(char *params)
{
  int numtoks = 0;
  char * tok;
  char * tokptr;
  // char * subptr;
  // char * param;
  // char * value;
  char *pragma = NULL;
  // char *class = NULL;
  // char *start = NULL;

  while ((tok = strtok_r(numtoks ? NULL : params, ",", &tokptr))) {
    MESSAGE(MSG_DEBUG, "Got token '%s'", tok);
    if (!numtoks) pragma = tok; else {
      // param=strtok_r(tok,  "=", &subptr);
      // value=strtok_r(NULL, "=", &subptr);
      // if (!strcmp(param, "class")) class = value;
      // if (!strcmp(param, "abs"))   start = value;
    }
    numtoks++;
  }

  lowercase(pragma);
  if (!strcmp(pragma, "smallmem")) {
    MESSAGE(MSG_NOTICE, "Using small memory model");
    memmodel = MM_SMALL;
  }
  if (!strcmp(pragma, "largemem")) {
    MESSAGE(MSG_NOTICE, "Using large memory model");
    memmodel = MM_LARGE;
  }
  if (!strcmp(pragma, "smartbsr")) {
    MESSAGE(MSG_NOTICE, "Enabling Smart BSR management");
    smartbsr = 1;
  }
  if (!strcmp(pragma, "nosmartbsr")) {
    MESSAGE(MSG_NOTICE, "Disabling Smart BSR management");
    smartbsr = 0;
  }
  if (!strcmp(pragma, "global")) {
    MESSAGE(MSG_NOTICE, "All declarations global");
    allglobal = 1;
  }
  if ((!strcmp(pragma, "noglobal")) || (!strcmp(pragma, "scoped"))) {
    MESSAGE(MSG_NOTICE, "Declarations scoped");
    allglobal = 0;
  }
  return;
}

