#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "valpair.h"


/*
 * FUNCTION	vpCreate
 * DESCRIPTION	Allocate and create a value pair with name 'n' and
 *		value 'v'.
 * RETURNS	Created pair.
 * NOTES	Pair must later be destroyed when no longer needed.
 */

valpair *vpCreate(const char *n, const char *v)
{
  valpair *vp = (valpair *)malloc(sizeof(valpair));

  if (!vp) {
    fprintf(stderr, "vpCreate: malloc failed!\n");
    exit(1);
  }
  vp->name = strdup(n);
  vp->value = strdup(v);
  return vp;
}


/*
 * FUNCTION	vpDestroy
 * DESCRIPTION	Destroy value pair 'vp' created with vpCreate.
 */

void vpDestroy(valpair *vp)
{
  free(vp->value);
  free(vp->name);
  free(vp);
}


